Categories:
  - Games
  - Internet
License: AGPL-3.0-or-later
WebSite: https://code.rocket9labs.com/tslocum/boxcars-android
SourceCode: https://code.rocket9labs.com/tslocum/boxcars-android
IssueTracker: https://code.rocket9labs.com/tslocum/boxcars/issues
Changelog: https://code.rocket9labs.com/tslocum/boxcars/src/branch/main/CHANGELOG
Donate: https://rocket9labs.com/donate/
Liberapay: rocket9labs.com

Name: Boxcars
AutoName: bgammon

RepoType: git
Repo: https://code.rocket9labs.com/tslocum/boxcars-android.git

Builds:
  - versionName: 1.0.5
    versionCode: 100050
    commit: 1d7f380033b99eecd0e8fdcf4d5693f4f257510b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.0.6
    versionCode: 100060
    commit: dd2e44bea15da6ff6a903b81938568e921212621
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.0.7
    versionCode: 100070
    commit: 10237f9d2da362125825699502e5b5a88e41d162
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.0.8
    versionCode: 100080
    commit: 685e8e7b3ea92f976dbbfebe08d01232be6390c5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.0.9
    versionCode: 100090
    commit: f8b1f0a6b89d18dfcd3655c50938121f7c57965f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.0
    versionCode: 101000
    commit: 37ec3557ab61f0508d7557cb202c4d1611c32f96
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.1
    versionCode: 101010
    commit: 7e58d665ea41c880a27370cbe234e5608ecba6cd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.2
    versionCode: 101020
    commit: 370480f02997819e25bb0ccf51a550a289fdce78
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.3
    versionCode: 101030
    commit: 0bad381a484f99bef8287bef102075075a0a8e3a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.4
    versionCode: 101040
    commit: f688ae702da31b2071bf97af1a91f4ab1afb5391
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.5
    versionCode: 101050
    commit: f855593d0c62f160601457a44ec786a30fa9d3fb
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.6
    versionCode: 101060
    commit: b93def6fc8a07620db7cb0de7133d6102b67d349
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.1.6
CurrentVersionCode: 101060
